cURL
curl --request GET \
--url https://api-v2.boost.xyz/blocklist/:chainId/:tokenAddressimport requests
url = "https://api-v2.boost.xyz/blocklist/:chainId/:tokenAddress"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/blocklist/:chainId/:tokenAddress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isBlocked": true
}API Reference
Get blocklist:chainid:tokenaddress
GET
/
blocklist
/
:chainId
/
:tokenAddress
cURL
Path Parameters
The chain ID to query
Required range:
x >= 0The token address to query
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x378632819f39c74c4f56b1429e760739c5fb51b7"
Response
200 - application/json
Returns whether or not the token is blocked on given chain id
Is the token blocked?
⌘I